import React from 'react';
import { StatusBar } from 'react-native';
import { useSafeAreaInsets } from 'react-native-safe-area-context';
export const HeaderStyleContext = /*#__PURE__*/React.createContext({
  HeaderComponent: () => null,
  defaultTitleAlign: 'left',
  statusBarTranslucent: true,
  topInset: StatusBar.currentHeight ?? 0
});
export const HeaderStyleProvider = _ref => {
  let {
    children,
    HeaderComponent = () => null,
    defaultTitleAlign,
    statusBarTranslucent
  } = _ref;
  const {
    top
  } = useSafeAreaInsets();
  return /*#__PURE__*/React.createElement(HeaderStyleContext.Provider, {
    value: {
      HeaderComponent,
      defaultTitleAlign,
      statusBarTranslucent,
      topInset: statusBarTranslucent ? top : 0
    }
  }, children);
};
//# sourceMappingURL=HeaderStyleContext.js.map